from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from .com.sun.star.uno import XInterface

@runtime_checkable
class XMailMessage(XInterface, Protocol):
    def addRecipient(self, sRecipientAddress: str) -> None: ...
    def addCcRecipient(self, sRecipientAddress: str) -> None: ...
    def addBccRecipient(self, sRecipientAddress: str) -> None: ...
    def getRecipients(self) -> list[str]: ...
    def getCcRecipients(self) -> list[str]: ...
    def getBccRecipients(self) -> list[str]: ...
    def addAttachment(self, aMailAttachment: MailAttachment) -> None: ...
    def getAttachments(self) -> list[MailAttachment]: ...
